Argument (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.installer.args, class: Argument

Package org.apache.geode.modules.session.installer.args

# Class Argument

java.lang.Object
org.apache.geode.modules.session.installer.args.Argument

public class Argument extends Object
Class representing a single command line argument.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Argument(String primaryForm, boolean argRequired, String... parameterNames)`
  Contructor to create an argument definition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Argument`
  `addForm(String aliasName)`
  Adds a possible representation of the command line argument.
  `String`
  `getPrimaryForm()`
  Returns the primary form of the argument.
  `boolean`
  `isRequired()`
  Returns whether or not this argument is required to be defined.
  `Argument`
  `setArgumentHandler(ArgumentHandler aHandler)`
  Sets the argument handler.
  `Argument`
  `setDefaults(String... newDefaults)`
  Sets the default values when no explicit values were provided.
  `Argument`
  `setDescription(String str)`
  Sets a usage description for this argument.
  `Argument`
  `setEnvVars(String... newEnvVars)`
  Sets the environment variables which will be checked for values before falling back on the default values.
  `String`
  `toString()`
  Returns a human readable form.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Argument

    public Argument(String primaryForm, boolean argRequired, String... parameterNames)
    Contructor to create an argument definition.
    Parameters:
      `primaryForm` - the form of the argument (e.g., --foo). Should start with a dash.
      `argRequired` - flag indicating whether or not the argument is required to be onthe command line
      `parameterNames` - names of the parameters to this argument for use in the usage generation

- ## Method Details

  - ### isRequired

    public boolean isRequired()
    Returns whether or not this argument is required to be defined.
    Returns:
      true if required, false if optional

  - ### setArgumentHandler

    public Argument setArgumentHandler(ArgumentHandler aHandler)
    Sets the argument handler.
    Parameters:
      `aHandler` - argument handler
    Returns:
      this argument (for chained calls)

  - ### addForm

    public Argument addForm(String aliasName)
    Adds a possible representation of the command line argument.
    Parameters:
      `aliasName` - additional form to accept
    Returns:
      this argument (for chained calls)

  - ### getPrimaryForm

    public String getPrimaryForm()
    Returns the primary form of the argument.
    Returns:
      primary form

  - ### setDescription

    public Argument setDescription(String str)
    Sets a usage description for this argument.
    Parameters:
      `str` - usage description
    Returns:
      this argument (for chained calls)

  - ### setDefaults

    public Argument setDefaults(String... newDefaults)
    Sets the default values when no explicit values were provided.
    Parameters:
      `newDefaults` - default values for all argument parameters
    Returns:
      this argument (for chained calls)

  - ### setEnvVars

    public Argument setEnvVars(String... newEnvVars)
    Sets the environment variables which will be checked for values before falling back on the default values.
    Parameters:
      `newEnvVars` - environment variable name array
    Returns:
      this argument (for chained calls)

  - ### toString

    public String toString()
    Returns a human readable form.
    Overrides:
      `toString` in class `Object`
    Returns:
      human readable string